Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu
Class Response.Action.Render

    java.lang.Object
      org.juzu.Response
          org.juzu.Response.Action
              org.juzu.Response.Action.Render

All Implemented Interfaces:
  Response.Update

Enclosing class:
  Response.Action

    public static class Response.Action.Render

extends Response.Action
implements Response.Update

A response instructing to execute a render phase of a controller method after the current interaction.

Nested Class Summary

Nested classes/interfaces inherited from class org.juzu.Response.Action
`Response.Action.Redirect, Response.Action.Render`

Nested classes/interfaces inherited from class org.juzu.Response
`Response.Action, Response.Mime, Response.Resource, Response.Stream, Response.Update`

Constructor Summary
`Response.Action.Render(String methodId)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getMethodId()`
`Map<String,String>` | `getParameters()`
`Response.Action.Render` | `setParameter(String parameterName, String parameterValue)` Set a parameter for the controller method.
`String` | `toString()`

Methods inherited from class org.juzu.Response
`notFound, notFound, ok, ok, redirect, status, status`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response.Action.Render

    public Response.Action.Render(String methodId)

Method Detail

### setParameter

    public Response.Action.Render setParameter(String parameterName,
                                               String parameterValue)

  Set a parameter for the controller method.

  Specified by:
    `setParameter` in interface `Response.Update`
  Parameters:
    `parameterName` - the parameter name
    `parameterValue` - the parameter value
  Returns:
    this object

### getParameters

    public Map<String,String> getParameters()

  Specified by:
    `getParameters` in interface `Response.Update`

### getMethodId

    public String getMethodId()

  Specified by:
    `getMethodId` in interface `Response.Update`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.